libzypp: zypp::callback::SendReport< TReport > Struct Template Reference

libzypp 17.38.6

zypp::callback::SendReport< TReport > Struct Template Reference

`#include <zypp/Callback.h>`

Inheritance diagram for zypp::callback::SendReport< TReport >:

## Public Types
typedef TReport | ReportType
typedef ReceiveReport< TReport > | Receiver
typedef DistributeReport< TReport > | Distributor

## Public Member Functions
| SendReport ()
| ~SendReport ()
Distributor & | operator-> ()

## Static Public Member Functions
static Receiver * | whoIsConnected ()
static bool | connected ()

## Detailed Description

template<class TReport>
struct zypp::callback::SendReport< TReport >

Definition at line 236 of file Callback.h.

## Member Typedef Documentation

## ◆ ReportType

template<class TReport>

typedef TReport zypp::callback::SendReport< TReport >::ReportType

Definition at line 238 of file Callback.h.

## ◆ Receiver

template<class TReport>

typedef ReceiveReport<TReport> zypp::callback::SendReport< TReport >::Receiver

Definition at line 239 of file Callback.h.

## ◆ Distributor

template<class TReport>

typedef DistributeReport<TReport> zypp::callback::SendReport< TReport >::Distributor

Definition at line 240 of file Callback.h.

## Constructor & Destructor Documentation

## ◆ SendReport()

template<class TReport>

zypp::callback::SendReport< TReport >::SendReport | ( |  | ) |
| inline

Definition at line 242 of file Callback.h.

## ◆ ~SendReport()

template<class TReport>

zypp::callback::SendReport< TReport >::~SendReport | ( |  | ) |
| inline

Definition at line 245 of file Callback.h.

## Member Function Documentation

## ◆ whoIsConnected()

template<class TReport>

Receiver * zypp::callback::SendReport< TReport >::whoIsConnected | ( |  | ) |
| inlinestatic

Definition at line 248 of file Callback.h.

## ◆ connected()

template<class TReport>

bool zypp::callback::SendReport< TReport >::connected | ( |  | ) |
| inlinestatic

Definition at line 251 of file Callback.h.

## ◆ operator->()

template<class TReport>

Distributor & zypp::callback::SendReport< TReport >::operator-> | ( |  | ) |
| inline

Definition at line 254 of file Callback.h.

The documentation for this struct was generated from the following file:

- zypp/Callback.h